/*
* This file is part of Firestorm NIDS
* Copyright (c) 2001 Gianni Tedesco
*
*    Firestorm is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    Firestorm is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with Firestorm; if not, write to the Free Software
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


#ifndef __TEMPLATES_HEADER_INCLUDED__
#define __TEMPLATES_HEADER_INCLUDED__
#include <g_globals.h>
#include <matcher.h>

typedef struct range_priv {
	int	min;
	int	max;
}range_priv_t, *p_range_priv;

typedef struct num_priv {
	int	val;
}num_priv_t, *p_num_priv;

typedef struct tmpl {
	proc_match_validate	t_validate_range;
	proc_match_validate	t_validate_string;
	proc_match_validate	t_validate_number;

	proc_match_cleanup	t_cleanup_ptr;
}tmpl_t, *p_tmpl;

#ifndef __PLUGIN__
void template_fill_struct(p_tmpl);
#endif

#endif /* __TEMPLATES_HEADER_INCLUDED__ */
